exports.npm = "npm(1) -- node package manager\n==============================\n[![Build Status](https://img.shields.io/travis/npm/npm/master.svg)](https://travis-ci.org/npm/npm)\n## SYNOPSIS\n\nThis is just enough info to get you up and running.\n\nMuch more info available via `npm help` once it's installed.\n\n## IMPORTANT\n\n**You need node v0.8 or higher to run this program.**\n\nTo install an old **and unsupported** version of npm that works on node 0.3\nand prior, clone the git repo and dig through the old tags and branches.\n\n## Super Easy Install\n\nnpm comes with [node](http://nodejs.org/download/) now.\n\n### Windows Computers\n\n[Get the MSI](http://nodejs.org/download/).  npm is in it.\n\n### Apple Macintosh Computers\n\n[Get the pkg](http://nodejs.org/download/).  npm is in it.\n\n### Other Sorts of Unices\n\nRun `make install`.  npm will be installed with node.\n\nIf you want a more fancy pants install (a different version, customized\npaths, etc.) then read on.\n\n## Fancy Install (Unix)\n\nThere's a pretty robust install script at\n<https://www.npmjs.org/install.sh>.  You can download that and run it.\n\nHere's an example using curl:\n\n    curl -L https://npmjs.org/install.sh | sh\n\n### Slightly Fancier\n\nYou can set any npm configuration params with that script:\n\n    npm_config_prefix=/some/path sh install.sh\n\nOr, you can run it in uber-debuggery mode:\n\n    npm_debug=1 sh install.sh\n\n### Even Fancier\n\nGet the code with git.  Use `make` to build the docs and do other stuff.\nIf you plan on hacking on npm, `make link` is your friend.\n\nIf you've got the npm source code, you can also semi-permanently set\narbitrary config keys using the `./configure --key=val ...`, and then\nrun npm commands by doing `node cli.js <cmd> <args>`.  (This is helpful\nfor testing, or running stuff without actually installing npm itself.)\n\n## Windows Install or Upgrade\n\nYou can download a zip file from <https://npmjs.org/dist/>, and unpack it\nin the same folder where node.exe lives.\n\nThe latest version in a zip file is 1.4.12.  To upgrade to npm 2, follow the\nWindows upgrade instructions in the npm Troubleshooting Guide:\n\n<https://github.com/npm/npm/wiki/Troubleshooting#upgrading-on-windows>\n\nIf that's not fancy enough for you, then you can fetch the code with\ngit, and mess with it directly.\n\n## Installing on Cygwin\n\nNo.\n\n## Permissions when Using npm to Install Other Stuff\n\n**tl;dr**\n\n* Use `sudo` for greater safety.  Or don't, if you prefer not to.\n* npm will downgrade permissions if it's root before running any build\n  scripts that package authors specified.\n\n### More details...\n\nAs of version 0.3, it is recommended to run npm as root.\nThis allows npm to change the user identifier to the `nobody` user prior\nto running any package build or test commands.\n\nIf you are not the root user, or if you are on a platform that does not\nsupport uid switching, then npm will not attempt to change the userid.\n\nIf you would like to ensure that npm **always** runs scripts as the\n\"nobody\" user, and have it fail if it cannot downgrade permissions, then\nset the following configuration param:\n\n    npm config set unsafe-perm false\n\nThis will prevent running in unsafe mode, even as non-root users.\n\n## Uninstalling\n\nSo sad to see you go.\n\n    sudo npm uninstall npm -g\n\nOr, if that fails,\n\n    sudo make uninstall\n\n## More Severe Uninstalling\n\nUsually, the above instructions are sufficient.  That will remove\nnpm, but leave behind anything you've installed.\n\nIf you would like to remove all the packages that you have installed,\nthen you can use the `npm ls` command to find them, and then `npm rm` to\nremove them.\n\nTo remove cruft left behind by npm 0.x, you can use the included\n`clean-old.sh` script file.  You can run it conveniently like this:\n\n    npm explore npm -g -- sh scripts/clean-old.sh\n\nnpm uses two configuration files, one for per-user configs, and another\nfor global (every-user) configs.  You can view them by doing:\n\n    npm config get userconfig   # defaults to ~/.npmrc\n    npm config get globalconfig # defaults to /usr/local/etc/npmrc\n\nUninstalling npm does not remove configuration files by default.  You\nmust remove them yourself manually if you want them gone.  Note that\nthis means that future npm installs will not remember the settings that\nyou have chosen.\n\n## Using npm Programmatically\n\nIf you would like to use npm programmatically, you can do that.\nIt's not very well documented, but it *is* rather simple.\n\nMost of the time, unless you actually want to do all the things that\nnpm does, you should try using one of npm's dependencies rather than\nusing npm itself, if possible.\n\nEventually, npm will be just a thin cli wrapper around the modules\nthat it depends on, but for now, there are some things that you must\nuse npm itself to do.\n\n    var npm = require(\"npm\")\n    npm.load(myConfigObject, function (er) {\n      if (er) return handlError(er)\n      npm.commands.install([\"some\", \"args\"], function (er, data) {\n        if (er) return commandFailed(er)\n        // command succeeded, and data might have some info\n      })\n      npm.registry.log.on(\"log\", function (message) { .... })\n    })\n\nThe `load` function takes an object hash of the command-line configs.\nThe various `npm.commands.<cmd>` functions take an **array** of\npositional argument **strings**.  The last argument to any\n`npm.commands.<cmd>` function is a callback.  Some commands take other\noptional arguments.  Read the source.\n\nYou cannot set configs individually for any single npm function at this\ntime.  Since `npm` is a singleton, any call to `npm.config.set` will\nchange the value for *all* npm commands in that process.\n\nSee `./bin/npm-cli.js` for an example of pulling config values off of the\ncommand line arguments using nopt.  You may also want to check out `npm\nhelp config` to learn about all the options you can set there.\n\n## More Docs\n\nCheck out the [docs](https://www.npmjs.org/doc/),\nespecially the [faq](https://www.npmjs.org/doc/faq.html).\n\nYou can use the `npm help` command to read any of them.\n\nIf you're a developer, and you want to use npm to publish your program,\nyou should [read this](https://www.npmjs.org/doc/developers.html)\n\n## Legal Stuff\n\n\"npm\" and \"The npm Registry\" are owned by npm, Inc.\nAll rights reserved.  See the included LICENSE file for more details.\n\n\"Node.js\" and \"node\" are trademarks owned by Joyent, Inc.\n\nModules published on the npm registry are not officially endorsed by\nnpm, Inc. or the Node.js project.\n\nData published to the npm registry is not part of npm itself, and is\nthe sole property of the publisher.  While every effort is made to\nensure accountability, there is absolutely no guarantee, warrantee, or\nassertion expressed or implied as to the quality, fitness for a\nspecific purpose, or lack of malice in any given npm package.\n\nIf you have a complaint about a package in the public npm registry,\nand cannot [resolve it with the package\nowner](https://www.npmjs.org/doc/misc/npm-disputes.html), please email\n<support@npmjs.com> and explain the situation.\n\nAny data published to The npm Registry (including user account\ninformation) may be removed or modified at the sole discretion of the\nnpm server administrators.\n\n### In plainer english\n\nnpm is the property of npm, Inc.\n\nIf you publish something, it's yours, and you are solely accountable\nfor it.\n\nIf other people publish something, it's theirs.\n\nUsers can publish Bad Stuff.  It will be removed promptly if reported.\nBut there is no vetting process for published modules, and you use\nthem at your own risk.  Please inspect the source.\n\nIf you publish Bad Stuff, we may delete it from the registry, or even\nban your account in extreme cases.  So don't do that.\n\n## BUGS\n\nWhen you find issues, please report them:\n\n* web:\n  <https://github.com/npm/npm/issues>\n* email:\n  <npm-@googlegroups.com>\n\nBe sure to include *all* of the output from the npm command that didn't work\nas expected.  The `npm-debug.log` file is also helpful to provide.\n\nYou can also look for isaacs in #node.js on irc://irc.freenode.net.  He\nwill no doubt tell you to put the output in a gist or email.\n\n## SEE ALSO\n\n* npm(1)\n* npm-faq(7)\n* npm-help(1)\n* npm-index(7)\n";